> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/org/general/export-non-compliant-devices.md).

# Nicht konforme Geräte exportieren

### Beschreibung

Dieses Runbook fragt Intune nach nicht konformen Geräten und Geräten innerhalb der Nachfrist ab und ruft detaillierte Richtlinien- und Einstellungs-Compliance-Daten ab. Es kann die Ergebnisse als CSV mit SAS-(Download-)Links exportieren.

### Ort

Organisation → Allgemein → Nicht konforme Geräte exportieren

**Vollständiger Runbook-Name**

rjgit-org\_general\_export-non-compliant-devices

### Details

| Eigenschaft          | Wert                                                                |
| -------------------- | ------------------------------------------------------------------- |
| Version              | 1.0.1                                                               |
| Erforderliche Module | <p>RealmJoin.RunbookHelper (>= 0.8.9)<br>Az.Accounts (>= 5.5.2)</p> |
| Planbar              | nein                                                                |

### Berechtigungen

#### Anwendungsberechtigungen

* **Typ**: Microsoft Graph
  * DeviceManagementConfiguration.Read.All
    * *Ruft die Richtlinien- und Einstellungs-Compliance pro Gerät über die Intune-Compliance-Report-Endpunkte ab*
  * DeviceManagementManagedDevices.Read.All
    * *Listet nicht konforme Intune-Geräte über /deviceManagement/managedDevices auf*

#### Hinweise zu Berechtigungen

Azure IaaS: Zugriff zum Erstellen/Verwalten von Azure Storage-Ressourcen, wenn Links erstellt werden

### Parameter

#### produceLinks

Wenn auf true gesetzt, lädt Artefakte hoch und erstellt SAS-(Download-)Links, wenn die Storage-Einstellungen verfügbar sind.

| Eigenschaft  | Wert            |
| ------------ | --------------- |
| Erforderlich | falsch          |
| Standardwert | Wahr            |
| Typ          | Boolescher Wert |

#### ContainerName

Name des Storage-Containers, der für Uploads verwendet wird.

| Eigenschaft  | Wert                             |
| ------------ | -------------------------------- |
| Erforderlich | falsch                           |
| Standardwert | rjrb-device-compliance-report-v2 |
| Typ          | Zeichenfolge                     |

#### ResourceGroupName

Ressourcengruppe, die das Storage Account enthält.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

#### StorageAccountName

Name des Storage Account, der für Uploads verwendet wird.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

#### StorageAccountLocation

Azure-Region für das Storage Account.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

#### StorageAccountSku

SKU des Storage Account.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

#### SubscriptionId

Azure-Abonnement-ID, die für Storage-Operationen verwendet wird.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

[Zurück zur Übersicht der Runbook-Referenz](/de/automatisierung/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/org/general/export-non-compliant-devices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
